using System;

namespace MetalMarines
{
	public enum enumSquareStatus
	{
		Empty,
		Burnt,
		Building,
		Built,
		Destroyed
	};

	public enum enumSquareType
	{
		Flat,
		FrontSlant,
		LeftSlant,
		RightSlant,
		BackSlant,
		FrontLeftCorner,
		FrontRightCorner,
		BackLeftCorner,
		BackRightCorner,
		FrontLeftIndent,
		FrontRightIndent,
		BackLeftIndent,
		BackRightIndent,
		Water
	};


	public class clsSquare
	{
		private long m_nHeight = 0;
		private enumSquareType m_nType = enumSquareType.Flat;
		private enumSquareStatus m_nStatus = enumSquareStatus.Empty;

		public clsSquare()
		{
		}

		public enumSquareType SquareType
		{
			get
			{
				return( m_nType );
			}
			set
			{
				m_nType = value;
			}
		}
		public enumSquareStatus SquareStatus
		{
			get
			{
				return( m_nStatus );
			}
			set
			{
				m_nStatus = value;
			}
		}
		public long Height
		{
			get
			{
				return( m_nHeight );
			}
			set
			{
				m_nHeight = value;
			}
		}
	}
}
